# TimedEventManager | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TimedEventManager

- Defined in src/timed-event-manager.ts:315

##### Index

### Constructors

constructor

### Methods

activeEvent
activeEventHasBanner
areFusionsBoosted
getAllMysteryEncounterChanges
getClassicFriendshipMultiplier
getClassicTrainerShinyChance
getDelibirdyBuff
getEventBannerFilename
getEventBannerLangs
getEventBgmReplacement
getEventEncounters
getEventLuckBoost
getEventLuckBoostedSpecies
getEventMysteryEncountersDisabled
getFixedBattleEventRewards
getMysteryEncounterTierForEvent
getShinyMultiplier
getUpgradeUnlockedVouchers
getWeather
isActive
isEventActive
startEventChallenges

## Constructors

### constructor

- new TimedEventManager(): TimedEventManager

  #### Returns TimedEventManager

## Methods

### activeEvent

- activeEvent(): undefined | TimedEvent

  #### Returns undefined | TimedEvent

  - Defined in src/timed-event-manager.ts:320

### activeEventHasBanner

- activeEventHasBanner(): boolean

  #### Returns boolean

  - Defined in src/timed-event-manager.ts:328

### areFusionsBoosted

- areFusionsBoosted(): boolean

  #### Returns boolean

  - Defined in src/timed-event-manager.ts:484

### getAllMysteryEncounterChanges

- getAllMysteryEncounterChanges(): EventMysteryEncounterTier[]

  #### Returns EventMysteryEncounterTier[]

  - Defined in src/timed-event-manager.ts:420

### getClassicFriendshipMultiplier

- getClassicFriendshipMultiplier(): number

  For events that change the classic candy friendship multiplier

  #### Returns number

  The highest classic friendship multiplier among the active events, or the default CLASSIC_CANDY_FRIENDSHIP_MULTIPLIER

  - Defined in src/timed-event-manager.ts:369

### getClassicTrainerShinyChance

- getClassicTrainerShinyChance(): number

  #### Returns number

  - Defined in src/timed-event-manager.ts:505

### getDelibirdyBuff

- getDelibirdyBuff(): string[]

  For events where Delibirdy gives extra items

  #### Returns string[]

  list of ids of ModifierTypes that Delibirdy hands out as a bonus

  - Defined in src/timed-event-manager.ts:392

### getEventBannerFilename

- getEventBannerFilename(): string

  #### Returns string

  - Defined in src/timed-event-manager.ts:343

### getEventBannerLangs

- getEventBannerLangs(): string[]

  #### Returns string[]

  - Defined in src/timed-event-manager.ts:347

### getEventBgmReplacement

- getEventBgmReplacement(bgm: string): string

  #### Parameters

  - bgm: string

  #### Returns string

  - Defined in src/timed-event-manager.ts:512

### getEventEncounters

- getEventEncounters(): EventEncounter[]

  #### Returns EventEncounter[]

  - Defined in src/timed-event-manager.ts:353

### getEventLuckBoost

- getEventLuckBoost(): number

  #### Returns number

  - Defined in src/timed-event-manager.ts:463

### getEventLuckBoostedSpecies

- getEventLuckBoostedSpecies(): Species []

  #### Returns Species []

  - Defined in src/timed-event-manager.ts:472

### getEventMysteryEncountersDisabled

- getEventMysteryEncountersDisabled(): MysteryEncounterType []

  #### Returns MysteryEncounterType []

  - Defined in src/timed-event-manager.ts:432

### getFixedBattleEventRewards

- getFixedBattleEventRewards(wave: number): string[]

  Gets all the modifier types associated with a certain wave during an event

  #### Parameters

  - wave: number

    the wave to check for associated rewards

  #### Returns string[]

  array of strings of the event modifier reward types

  #### See

  EventWaveReward

  - Defined in src/timed-event-manager.ts:494

### getMysteryEncounterTierForEvent

- getMysteryEncounterTierForEvent(
  encounterType: MysteryEncounterType ,
  normal: MysteryEncounterTier ,
  ): MysteryEncounterTier

  #### Parameters

  - encounterType: MysteryEncounterType
  - normal: MysteryEncounterTier

  #### Returns MysteryEncounterTier

  - Defined in src/timed-event-manager.ts:446

### getShinyMultiplier

- getShinyMultiplier(): number

  #### Returns number

  - Defined in src/timed-event-manager.ts:333

### getUpgradeUnlockedVouchers

- getUpgradeUnlockedVouchers(): boolean

  For events where defeated bosses (Gym Leaders, E4 etc) give out Voucher Plus even if they were defeated before

  #### Returns boolean

  Whether vouchers should be upgraded

  - Defined in src/timed-event-manager.ts:384

### getWeather

- getWeather(): WeatherPoolEntry []

  For events where there's a set weather for town biome (other biomes are hard)

  #### Returns WeatherPoolEntry []

  Event weathers for town

  - Defined in src/timed-event-manager.ts:408

### isActive

- isActive(event: TimedEvent): boolean

  #### Parameters

  - event: TimedEvent

  #### Returns boolean

  - Defined in src/timed-event-manager.ts:316

### isEventActive

- isEventActive(): boolean

  #### Returns boolean

  - Defined in src/timed-event-manager.ts:324

### startEventChallenges

- startEventChallenges(): void

  Activates any challenges on `globalScene.gameMode` for the currently active event

  #### Returns void

  - Defined in src/timed-event-manager.ts:530